%define upstream_name    Pod-Spelling
%define upstream_version 0.23

%define __requires_exclude perl\\(Lingua::Ispell\\)

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Pod::POM::View::Text without sequence formatting
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Pod/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Pod::POM)
BuildRequires: perl(Test::Builder)
BuildRequires: perl(Test::Pod)
BuildRequires: perl(Text::Aspell)
BuildArch: noarch

%description
This module provides extensible spell-checking of POD.

At present, it requires either the Lingua::Ispell manpage or the
Text::Aspell manpage, one of which must be installed on your system, with
its binaries, unless you plan to use the API to provide your own
spell-checker. In the latter case, or if binaries are missing from their
default locations, expect test failures.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

# Tests are currently failing - enable later.
# %%check
# %%make test

%install
%make_install

%files
%doc Changes README META.json META.yml SIGNATURE LICENSE
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.230.0-5.mga9
+ Revision: 1805395
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.230.0-4.mga8
+ Revision: 1496758
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.230.0-3.mga7
+ Revision: 1270651
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.230.0-2.mga6
+ Revision: 1032329
- Rebuild for perl 5.22.2

* Sun Jan 24 2016 shlomif <shlomif> 0.230.0-1.mga6
+ Revision: 927053
- Add exclude
- Importing from cpan2pkg


* Sun Jan 24 2016 cpan2dist 0.23-1mga
- initial mageia release, generated with cpan2dist
